% SCRIPT DI INIZIALIZZAZIONE PARAMETRI 
% PER AEROSTATO AD ARIA CALDA

m     = 12;       % Massa complessiva aerostato
f     = 1.2000;   % Coefficiente attrito viscoso dell'aria
rho_a = 1.2928;   % Densit dell'aria
c_a   = 1008;     % Calore specifico dell'aria
g     = 9.80665;  % Accelerazione di gravit

V = 48;           % Volume dellaerostato
C = V*rho_a*c_a;  % Capacit termica dell'aerostato

theta_t = 0.0800; % Resistenza termica tra aerostato 
                  % e ambiente

% Temperatura ambiente (20 C, riportati in K)
Ta = 20+273.15;

% SET-POINT:
x1_d = Ta/(1-m/(V*rho_a));
x2_d = 120;
x3_d = 0;
u_d  = (Ta*m)/((V*rho_a - m)*theta_t);

%CONDIZIONI INIZIALI:
x1_0 = x1_d;
x2_0 = 100;
x3_0 = 0;

K = 1.0e+03 * [1.1698    0.0100    0.0993];

% MODELLO BALLOON LINEARE
A_balloon = [-0.0002    0         0
              0         0    1.0000
              0.1126    0   -0.1000];
          
B_balloon = 1.0e-04 * [0.1599
                       0
                       0];
                   
C_balloon = [0     1     0];
         
D_balloon = [0];
         
Ts = 8;         